package fr.doap.llog;

public class LogLooper extends ThreadLooper {
	
	public void post(LogMsg aLogMsg) {
		add(new LLMsg(aLogMsg));
	}
	
	public class LLMsg implements WorkItem {
		public LLMsg(LogMsg aLogMsg) { mLogMsg = aLogMsg; }
		
		@Override
		public void run() {
			for (int i=mLogMsg.getCallerIndex(); i<mLogMsg.mSTE.length; i++) {
				StackTraceElement lS = mLogMsg.mSTE[i];
				System.out.println(lS.getClassName() + "." + lS.getMethodName() + ": " + mLogMsg.mMessage + " (" + lS.getFileName() + ":" + lS.getLineNumber() + ")");
			}
		}
		
		private LogMsg	mLogMsg;
	}
}
